// Задача "Провода"
// XVI командный чемпионат школьников Санкт-Петербурга по программированию
// Автор задачи:  Антон Ахи, akhi@rain.ifmo.ru
// Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

type
	int = longint;
const
	maxn = 1000;
var
	n, i, j, t, ans : int;
	a, b : array [1..maxn] of int;
begin
	assign(input, 'wires.in');
	reset(input);
	assign(output, 'wires.out');
	rewrite(output);
	
	read(n);
	for i := 1 to n do
		read(a[i]);
	for i := 1 to n do
		read(b[i]);
	
	for i := 1 to n do
		for j := 1 to n - 1 do begin 
			if (a[j + 1] < a[j]) then begin
				t := a[j];
				a[j] := a[j + 1];
				a[j + 1] := t;
			end;
			if (b[j + 1] < b[j]) then begin
				t := b[j];
				b[j] := b[j + 1];
				b[j + 1] := t;
			end;
		end;

	ans := 0;
	for i := 1 to n do
		ans := ans + b[i] - a[i];

	writeln(ans);
end.